| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::IxFunction Class Reference
QxFunction : QxOrm library function used by introspection engine

qx::IxFunction : common interface for all functions registered into QxOrm context (used by introspection engine) More...

`#include <IxFunction.h>`

Inheritance diagram for qx::IxFunction:

List of all members.

## Public Types
typedef std::vector< boost::any > | type_any_params
## Public Member Functions
| IxFunction ()
virtual | ~IxFunction ()
QString | getKey () const
QString | getSeparator () const
void | setKey (const QString &s)
void | setSeparator (const QString &s)
virtual qx_bool | invoke (const QString &params=QString(), boost::any *ret=NULL) const =0
virtual qx_bool | invoke (const type_any_params &params, boost::any *ret=NULL) const =0
virtual qx_bool | invoke (void *pOwner, const QString &params=QString(), boost::any *ret=NULL) const =0
virtual qx_bool | invoke (void *pOwner, const type_any_params &params, boost::any *ret=NULL) const =0
virtual qx_bool | isValidFct () const =0
virtual qx_bool | isValidParams (const QString &params) const =0
virtual qx_bool | isValidParams (const type_any_params &params) const =0
template<class T >
qx_bool | isValidOwner (void *pOwner, T *dummy) const
template<class T >
qx_bool | isValid (const T &params) const
template<class T , class U >
qx_bool | isValid (void *pOwner, const T &params, U *dummy) const
## Protected Attributes
QString | m_sKey
| Function key.
QString | m_sSeparator
| Separator character(s) for 'QString' parameters type.

## Detailed Description

qx::IxFunction : common interface for all functions registered into QxOrm context (used by introspection engine)

Definition at line 62 of file IxFunction.h.

## Member Typedef Documentation

typedef std::vector<boost::any> qx::IxFunction::type_any_params

Definition at line 72 of file IxFunction.h.

## Constructor & Destructor Documentation

qx::IxFunction::IxFunction | ( |  | ) | `[inline]`

Definition at line 74 of file IxFunction.h.

virtual qx::IxFunction::~IxFunction | ( |  | ) | `[inline, virtual]`

Definition at line 75 of file IxFunction.h.

## Member Function Documentation

QString qx::IxFunction::getKey | ( |  | ) | const`[inline]`

Definition at line 77 of file IxFunction.h.

QString qx::IxFunction::getSeparator | ( |  | ) | const`[inline]`

Definition at line 78 of file IxFunction.h.

virtual qx_bool qx::IxFunction::invoke | ( | void * | pOwner,
|  | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | const`[pure virtual]`

virtual qx_bool qx::IxFunction::invoke | ( | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | const`[pure virtual]`

virtual qx_bool qx::IxFunction::invoke | ( | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | const`[pure virtual]`

virtual qx_bool qx::IxFunction::invoke | ( | void * | pOwner,
|  | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | const`[pure virtual]`

template<class T , class U >

qx_bool qx::IxFunction::isValid | ( | void * | pOwner,
|  | const T & | params,
|  | U * | dummy
| ) |  | const`[inline]`

Definition at line 112 of file IxFunction.h.

template<class T >

qx_bool qx::IxFunction::isValid | ( | const T & | params | ) | const`[inline]`

Definition at line 104 of file IxFunction.h.

virtual qx_bool qx::IxFunction::isValidFct | ( |  | ) | const`[pure virtual]`

template<class T >

qx_bool qx::IxFunction::isValidOwner | ( | void * | pOwner,
|  | T * | dummy
| ) |  | const`[inline]`

Definition at line 93 of file IxFunction.h.

virtual qx_bool qx::IxFunction::isValidParams | ( | const type_any_params & | params | ) | const`[pure virtual]`

Implemented in qx::QxFunction_0< Owner, R >, qx::QxFunction_0< void, R >, qx::QxFunction_1< Owner, R, P1 >, qx::QxFunction_1< void, R, P1 >, qx::QxFunction_2< Owner, R, P1, P2 >, qx::QxFunction_2< void, R, P1, P2 >, qx::QxFunction_3< Owner, R, P1, P2, P3 >, qx::QxFunction_3< void, R, P1, P2, P3 >, qx::QxFunction_4< Owner, R, P1, P2, P3, P4 >, qx::QxFunction_4< void, R, P1, P2, P3, P4 >, qx::QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >, qx::QxFunction_5< void, R, P1, P2, P3, P4, P5 >, qx::QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >, qx::QxFunction_6< void, R, P1, P2, P3, P4, P5, P6 >, qx::QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >, qx::QxFunction_7< void, R, P1, P2, P3, P4, P5, P6, P7 >, qx::QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >, qx::QxFunction_8< void, R, P1, P2, P3, P4, P5, P6, P7, P8 >, qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >, and qx::QxFunction_9< void, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >.

virtual qx_bool qx::IxFunction::isValidParams | ( | const QString & | params | ) | const`[pure virtual]`

Implemented in qx::QxFunction_0< Owner, R >, qx::QxFunction_0< void, R >, qx::QxFunction_1< Owner, R, P1 >, qx::QxFunction_1< void, R, P1 >, qx::QxFunction_2< Owner, R, P1, P2 >, qx::QxFunction_2< void, R, P1, P2 >, qx::QxFunction_3< Owner, R, P1, P2, P3 >, qx::QxFunction_3< void, R, P1, P2, P3 >, qx::QxFunction_4< Owner, R, P1, P2, P3, P4 >, qx::QxFunction_4< void, R, P1, P2, P3, P4 >, qx::QxFunction_5< Owner, R, P1, P2, P3, P4, P5 >, qx::QxFunction_5< void, R, P1, P2, P3, P4, P5 >, qx::QxFunction_6< Owner, R, P1, P2, P3, P4, P5, P6 >, qx::QxFunction_6< void, R, P1, P2, P3, P4, P5, P6 >, qx::QxFunction_7< Owner, R, P1, P2, P3, P4, P5, P6, P7 >, qx::QxFunction_7< void, R, P1, P2, P3, P4, P5, P6, P7 >, qx::QxFunction_8< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8 >, qx::QxFunction_8< void, R, P1, P2, P3, P4, P5, P6, P7, P8 >, qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >, and qx::QxFunction_9< void, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >.

void qx::IxFunction::setKey | ( | const QString & | s | ) | `[inline]`

Definition at line 80 of file IxFunction.h.

void qx::IxFunction::setSeparator | ( | const QString & | s | ) | `[inline]`

Definition at line 81 of file IxFunction.h.

## Member Data Documentation

QString qx::IxFunction::m_sKey`[protected]`

Function key.

Definition at line 67 of file IxFunction.h.

QString qx::IxFunction::m_sSeparator`[protected]`

Separator character(s) for 'QString' parameters type.

Definition at line 68 of file IxFunction.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxFunction/IxFunction.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines